**UPLOADED HERE FROM NEXUS. ALL CREDIT GOES TO THE ORIGINAL AUTHOR.**

**BY JulianDeclercq**

**Now compatible with Hearth and Home update!**

This mod was inspired by the comment section from my [Glowing Mushroom Remover](https://www.nexusmods.com/valheim/mods/933) mod where people had specific requests to remove all kinds of items they had spawned.

# [Overview / Tutorial](https://youtu.be/bTOvGEi3m_Q)

[Click here for the original, pre Hearth and Home update, video if you want some more insight.](https://www.youtube.com/watch?v=UO8GdY6vk1Y)

Usage

Definitely watch the overview / tutorial video listed above.

This mod works through the in-game console. Chances are you spawned in the item you wanted to delete through the console, but just in case you spawned it through another method, here are the steps to enable the Valheim in-game console:

1. Right-click Valheim in your Steam library
2. Select Properties
3. In the General tab, look for the Launch Options field
4. In it, type -console 
5. Close the General tab

Once you have finished these steps, press **F5 in-game** to open the console. Here is an overview of the console commands this mod uses to function:

- **help** - gives a full overview of all console commands available, Generic Object Remover specific ones can be found at the end
- **GORinspect** - Check the currently looked at object for removables (need to be close).
- **GORinspect [radius]** - Check for removables in given radius around the player.
- **GORremove [objectname]** - Remove an object. (use GORinspect to retrieve a removable object's name)
- **GORremove [objectname] [radius]** - Remove all objects with given name in given radius around the player. (use **GORinspect** or **GORinspect [radius]** to retrieve removable object names)

All console commands are **case-insensitive**, I just capitalized the **gor** at the start for readability in the documentation. If this is unclear, please watch the video above.

# Notes

This mod works **one-way**. There is no way to revert the changes that are made by this mod, all removals are **permanent**. This is the main reason I added the explicit typing of the objectname inside the command itself, but please be careful with removing stuff if you don't want it removed. If you would want something back that you removed with this mod, you would have to manually spawn it back in through other console commands.


# Technical

To install this mod, the easiest way is to use [Vortex](https://www.nexusmods.com/about/vortex/), the Nexus Mods mod manager. It should take care of all dependencies.
To install manually, place the dll file in the BepInEx/plugins folder. You will need BepInEx.

Code is available on [Github](http://github.com/JulianDeclercq/ValheimMods).